
Figure - 开发 Dev #115372
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 111116 (New): 【MK】【LC】管理总票

开发 Dev # 111224 (New): 【MK】【001】【BT】【TC-RID: 1201-0400120】BT连接测试

【MK】【001】【BT】【TC-RID: 1201-0400120】添加BT模块的DTC日志
2023-01-16 20:00 - CD TPM-王祥林

Status: 解决 Resolved Start date: 2023-01-16

Priority: Normal Due date: 2023-02-03

Assignee: 移动测试一组_CDTS 刘强 % Done: 70%

Category: Estimated time: 0.00 hour

Target version:

Description

History

#1 - 2023-01-25 17:53 - CD LC 陶洪普

按文档中描述的，在BT驱动加载异常情况下，日志中增加关键字＂DTC_BT＂

https://thundersoft.feishu.cn/sheets/shtcnIjYqANILtdo8ynXgFnw3Le

－－－－－－－－－

BT    驱动加载异常    驱动中通过日志判断BT是否打开失败    BT芯片异常

－－－－－－－－－

#2 - 2023-02-03 00:03 - CD LC 陶洪普

- Due date set to 2023-02-03

- Status changed from New to 进行中 In Progress

- % Done changed from 0 to 10

更新：

移除了BT的nv文件和FW，BT好像仍在UI中打开了,不过没有扫描结果.

重新确认添加DTC_BT日志标识点.

#3 - 2023-02-04 21:00 - CD LC 陶洪普

软件方式, 制造BT异常(找不到对应的FW)

adb root

adb remount

adb reboot

adb root

adb remount

adb shell mount -o remount -rw /vendor/bt_firmware

adb shell mv /vendor/bt_firmware/image/htnv20.bin /vendor/bt_firmware/image/htnv20.bin-bak

adb shell sync

adb reboot

测试完毕后, 恢复方式

adb root

adb remount
adb shell mount -o remount -rw /vendor/bt_firmware

adb shell mv /vendor/bt_firmware/image/htnv20.bin-bak /vendor/bt_firmware/image/htnv20.bin

adb shell sync

adb reboot

#4 - 2023-02-04 21:04 - CD LC 陶洪普

Patch:

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/system/bt/+/179459

自验证结果:

ts@thundersoft:~/Videos$ adb logcat -b all | grep DTC_BT

11-04 17:55:21.609  2967  3486 E bt_hci  : DTC_BT: initializationComplete: HCI Init failed 

11-04 17:55:25.919  3880  3941 E bt_hci  : DTC_BT: initializationComplete: HCI Init failed 

11-04 17:55:30.464  4080  4123 E bt_hci  : DTC_BT: initializationComplete: HCI Init failed 

11-04 17:55:34.982  4218  4260 E bt_hci  : DTC_BT: initializationComplete: HCI Init failed 

11-04 17:55:40.749  4313  4369 E bt_hci  : DTC_BT: initializationComplete: HCI Init failed 

11-04 17:55:45.354  4394  4443 E bt_hci  : DTC_BT: initializationComplete: HCI Init failed

#5 - 2023-02-04 21:11 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 王成

- % Done changed from 10 to 50

Hi 王成

没有找到刘强账号, 按周五确认的,请帮忙安排测试DTS日志的票(已自测),谢谢!

VB

userdebug

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2453/

user

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2454/

这个版本也包括了Wifi的, 两个票都可使用这个版本确认.

#6 - 2023-02-06 15:54 - 移动测试一组_CDTS 刘强

- Assignee changed from CDTS_TEST 王成 to CD LC 陶洪普

Userdebug：

通过上述方法验证通过，制造异常后有以下日志输出：

02-04 21:45:10.803  4082  4125 E bt_hci  : DTC_BT: initializationComplete: HCI Init failed

恢复正常后，日志消失

User由于不能remount，和祥林沟通后，暂时不使用损坏硬件的方式进行测试

#7 - 2023-02-07 18:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179459 general/platform/vendor/qcom-opens

2025-07-04 2/3

Pre_figure_turbox-c2130c-la1.1-qssi12 taohp0107@thundersoft.com

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom-opensource/system/bt/+/179459
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2454/


ource/system/bt -dev

LC:BT: Add DTC Log when bluetooth initialization failedWhen the BT FW loading is failed, the bt hci initialization will alsofail. Add logs to identify it.TC-RID:

1200-0400101IssueID: TS-R-BUG-115372Change-Id: I71b08295132d6b90013ffa9ba3a81204d2c01ca6

#8 - 2023-02-07 18:43 - CD LC 陶洪普

- Status changed from 进行中 In Progress to 解决 Resolved

- Assignee changed from CD LC 陶洪普 to 移动测试一组_CDTS 刘强

- % Done changed from 50 to 70

Hi 刘强，

谢谢

patch已merged。

请使用20230208及之后版本verify.

谢谢！
